QGIS Application - Bug report #13155
A Multiband image(e.g. landsat5,7,8) cannot be displayed in windows8.
2015-07-25 05:43 PM - Nobuhiko Yoshimura

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21218
Description

Hi all.

| tried to use landsat5,7,8 and worldview2 satellite images as multiband images.
But they couldn't be displayed well.

Sometimes, they can be displayed , sometimes, only white.
If they are white, Pushing Refresh button many times, then they might be displayed.

(They were all .tif type and created pyramid layer of all levels.)

| tried them on windows7 pro too, they work every time.
This problem happened only on windows8.

| tested on Windows8.1 pro,8GB and almost 100GB memory size, QGIS 2.10 and QGIS 2.8.2

Related issues:
Related to QGIS Application - Bug report # 12522: Raster layers sometimes not... Closed

2015-04-06

Associated revisions

Revision cc505424 - 2016-01-20 07:05 AM - Nyall Dawson
Hopefully fix raster layers not rendering on Windows
The copy constructor for QgsContrastEnhancement was using
an uninitialized value for the mContrastEnhancementAlgorithm
member, resulting in no contrast function being set in

certain occasions.

Refs #13155

Revision 44330203 - 2016-02-23 03:43 AM - Nyall Dawson
Fix raster layers not rendering on Windows 8

The copy constructor for QgsContrastEnhancement was using
an uninitialized value for the mContrastEnhancementAlgorithm

member, resulting in no contrast function being set in

certain occasions.
Refs #13155

(cherry-picked from cc505424cec9d5¢f2a01663371d44d0fbd4a636a)

History

#1 - 2015-07-30 02:18 PM - Giovanni Manghi
- Category set to Rasters
- Status changed from Open to Feedback

Did you noticed the difference between Win 8 and Win 7 on the same machine (same hardware) or on different machines?

#2 - 2015-07-31 12:33 AM - Nobuhiko Yoshimura

Thank you for your response.

They were different machine.

| checked more than 5 machines for each(win8,win7).

All win7 was fine and All win8 has that problem.

#3 - 2015-08-05 01:29 AM - Nobuhiko Yoshimura

| changed to QGIS 32 bit in Windows8.

It works well.

This problem is only 64bit version.

#4 - 2015-08-05 11:43 AM - Adrian Klink
I had a similar problem and can add: the problem with Windows 8 and 64bit only applies to multiband raster layers when contrast stretch is active.
Without contrast stretch, Win 8 / 64bit works well. (But of course, contrast stretch is necessary in most cases). This might be important for locating the

bug with Win 8 / 64bit. Please see here:

QGIS Application Bug report #13181: random (In-)visibility Issue when using several large multispectral raster layers

#5 - 2015-08-07 06:52 AM - Luca Ongaro

| have the same problem, the description of Adrian is correct.

| can add that it seems to be independent from image size and type.

#6 - 2015-10-08 03:53 AM - Adrian Klink

Nobuhiko Yoshimura wrote:

I changed to QGIS 32 bit in Windows8.
It works well.
This problem is only 64bit version.

Unluckily the issue can also happen with 32bit version in Windows 8, too. Changing from 64bit to 32bit QGIS only solves issue in part. It can still happen in

seldom cases in 32bit, unlike the 64bit version where it happens very often. But it only happens when contrast stretch is enabled for the layer.

#7 - 2015-10-31 04:02 AM - Luca Ongaro

The issue persists in QGIS 2.12.

#8 - 2015-11-06 02:40 AM - Giovanni Manghi
- Affected QGIS version changed from 2.10.0 to 2.12.0

Can anyone attach/link sample data?

#9 - 2015-11-08 08:32 PM - Nobuhiko Yoshimura

Giovanni Manghi wrote:

Can anyone attach/link sample data?

| guess thatyou could check this issue by using full scene of landsat images.

(Landsat8 images are better to check)

Please download it from here.
https://libra.developmentseed.org/

Thanks!!

#10 - 2015-11-10 01:19 AM - Giovanni Manghi

I guess thatyou could check this issue by using full scene of landsat images.
(Landsat8 images are better to check)

Please download it from here.
https.//libra.developmentseed.org/

nope, | cannot replicate the issue. Tested on both Windows and Linux.

#11 - 2015-11-11 11:53 AM - Adrian Klink

Giovanni Manghi wrote:

| guess thatyou could check this issue by using full scene of landsat images.
(Landsat8 images are better to check)
https://libra.developmentseed.org/
https://libra.developmentseed.org/

Please download it from here.

https.//libra.developmentseed.org/

nope, | cannot replicate the issue. Tested on both Windows and Linux.

| have downloaded 3 landsat sample sets from given link (LC81960242015185LGNO0.tar.bz, LC81960242015217LGNO00.tar.bz,
LC81960242015233LGN00.tar.bz), created a .vrt layer stack from each set (raster -> misc -> create virtualraster (catalog) -> using option separate
[gdalbuildvrt -separate]) then issue occured after some retries enabling/disabling the .vrt layerstacks using color stretch to min max. Most likely issue will
not occur if only one layer stack is loaded, but chances to see the issue increase when adding more layers (2-3 should be enough).

Used OS for testing: Windows 8.1 (64bit) with 8GB RAM - as far as | know, Linux and Windows 7 are not affected by issue, only Windows 8. (Never tried
Windows 10)
Used QGIS for testing: 2.12.0 Lyon (64bit)

#12 - 2015-11-16 04:05 PM - Cédric Lardeux

Hello,

| can confirm that during remote sensing training in the computer room we use computer on windows 8 64bit (intel core 17 and 8Go of ram in case on this
information is usefull).

We use qgis 2.10 64bits and it's appear axactly as describe befor when we have probably more thabn 5 or 6 bands.

Indeed based o the same dataset given bellow, when we split data to create vrt with only 3 bands it works well contrary to the fulle dataset.

With Spot 6 with 4 band works well, with Radar data 3 bands in floats works well.

| remember that some people had the same problem with 2.8.
Just now the same for dev version 2.13.
I have tried to add option for comatibility mode as WINXPSP3 in bat file but not better

In comparison to my laptop on Ubuntu any problem. In my virtualbox with Win 7 64bits (for test) it work well. The same on standard laptop with win 7
64bits.
Edit:On Windows 10 also the bug

| hope you will find the problem because it's a limitation for windows user that want to use Qgis for remote sensing with OTB for exemple in the processing

toolbox.

The dataset (clip of PanSharpen Landsat 8 in Brazil)
https://drive.google.com/file/d/0B3-2whKifktUaVNoYmxtcjixUWc/view?usp=sharing

#13 - 2015-11-26 01:04 PM - Lammert Hilarides

| can confirm this behaviour on 64b versions of QGIS 2.8, 2.10 and 2.12 on Windows 8.1 and Windows 10, using multiband LandSat 8 imagery.

#14 - 2015-12-20 03:43 AM - Giovanni Manghi
- Status changed from Feedback to Open

I think there is enough feedback to say that the issue is confirmed, at least on some Windows machines.
https://libra.developmentseed.org/
https://drive.google.com/file/d/0B3-2whKifktUaVNoYmxtcjlxUWc/view?usp=sharing

#15 - 2015-12-20 03:53 AM - Giovanni Manghi

see also #12522

#16 - 2016-01-20 12:36 AM - Nyall Dawson
- Status changed from Open to Feedback

Please test with tomorrow's nightly builds and confirm whether the possible fix has worked

#17 - 2016-01-21 01:55 AM - Adrian Klink

Nyall Dawson wrote:

Please test with tomorrow's nightly builds and confirm whether the possible fix has worked

Just downloaded todays nightly build of 2.13 (64bit, Win 8.1). It works for me. Still need some more testing, but on first try with same scene no issue
occured where it definitelly would have happen with versions <= 2.12. Thanks! Good Job!

#18 - 2016-01-21 03:00 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

100% confident this is fixed now - I've thrown a lot of testing at it.

#19 - 2016-01-21 08:41 AM - Luca Congedo

It works for me.

Thank you very much.
